Page MenuHomePhabricator

Adding Name parameter to createVirtualRegister and createGenericVirtualRegister
ClosedPublic

Authored by plotfi on Apr 2 2018, 11:37 PM.

Details

Reviewers
bogner
thegameg

Diff Detail

Repository
rL LLVM

Event Timeline

plotfi created this revision.Apr 2 2018, 11:37 PM
thegameg accepted this revision.Apr 3 2018, 1:24 AM

This LGTM. If you (or anyone else) can come up with some kind of test it wouldn't hurt, but I remember your test from the previous patch was all right.

This revision is now accepted and ready to land.Apr 3 2018, 1:24 AM

The MIR-Canon changes I've got coming soon will test createVirtualRegister but not createGenericVirtualRegister. It should be good enough for now I think.

PL

​Sent with ProtonMail Secure Email.​

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

plotfi closed this revision.Apr 9 2018, 9:48 AM